// This is the Point class we developed in class.
public class Point {
	// Attributes
	private int x; // (x,y)-coordinates of point
	private int y; 
	
	private static int count=0; // One common count for ALL Point objects
	
	// constructor
	public Point(int newX, int newY){
		x = newX;
		y = newY;
		count++;
	}
	
	public static int getCount(){
		return count;
	}
	
	public void translate(int dx, int dy){
		x += dx;
		y += dy;
	}
	
	public void translate(Point p2){
		x += p2.x;
		y += p2.y;
	}
	
	
	public String toString(){
		// returns a String representation of the point
		return "("+x+","+y+")";
	}
	
	// Getter and setter
	public int getX(){
		return x;
	}
	
	public int getY(){
		return y;
	}
	
	public void setX(int newX){
		x = newX;
	}
	
	public void setY(int newY){
		y = newY;
	}
	

	
}
